WP-Table Reloaded – Skrýt/Zobrazit

Úvodní stránka Fórum podpory WordPressu Problémy s WordPressem WP-Table Reloaded – Skrýt/Zobrazit

Zvolené téma obsahuje celkem 5 odpovědí. Do diskuze (3 účastníci) se naposledy zapojil uživatel  Lukenzi a poslední změna je stará 9 let, 7 měsíců.

Aktuálně je na stránce zobrazeno 6 příspěvků - 1. až 6. (z celkem 6)
  • Autor
    Příspěvky
  • #906

    J-Prause
    Participant

    Uvízl jsem na mělčině – mám tento problém:

    Na administračních stránkách pluginu WP-Table Reloaded, který jinak používám (v české versi) úspěšně, jsou jednotlivé sekce opatřeny záhlavím, na němž je vpravo volba Skrýt/Zobrazit (v originále Hide/Expand). Klikám na volbu, ale nic se neděje. Tak, kde je jako default Skrýt, neskrývá, kde je Zobrazit, nezobrazuje.

    Pro úplnost dodám, že na mých lokálních testovacích webech to funguje správně. Chyba se děje na webu, který mám na placeném hostingu.

    Má někdo, prosím, podobnou zkušenost, nebo může mě navést, v čem je příčina?

    Děkuji.

    WordPress 3.1, plugin 1.9.1

    #8009

    admin
    Keymaster
    Web

    Podobné věci obvykle způsobuje nějaký konflikt JavaScriptů. Zkoušel jste deaktivovat všechny ostatní pluginy a nasadit výchozí šablonu? Vyčistit cache prohlížeče, vyzkoušet jiný prohlížeč? Plugin jste nainstaloval/aktualizoval automaticky (abychom vyloučili chybu v přenosu na FTP)? Objevují se nějaké JavaScriptové chyby (např. v IE8 v levém dolním rohu žlutá ikonka)?

    #8010

    Lukenzi
    Participant

    Jen doplním, že nedávno jsem na jednom webu řešil problém s widgety na nástěnce v administraci, kdy některé šli přetahovat myší a některé ne. Opět byl problém jen na jednom určitém hostingu, na jiných mi přetahování myší fungovalo bez problémů. A protože je toto řešeno taky přes javascript, napadlo mně že by to mohlo mít souvislost. Pokud ne aspoň se dozvíte jak řešit nefunkční přetahování widgetů :)

    Stačí do složky wp-admin vložit prázdný soubor .htaccess a do něj přidat tyto řádky:

    <IfModule mod_security.c>

    SecFilterEngine Off

    SecFilterScanPOST Off

    </IfModule>

    #8011

    J-Prause
    Participant

    Odpovídám po řadě na vaše jednotlivé návrhy.

    1. .htaccess, jak ho doporučuje Lukenzi, problém neřeší. Mimochodem, s problémem s přetahováním widgetů jsem se dosud nesetkal.

    2. Plugin jsem instaloval automaticky – obvykle postupuji obecně tak, že z wordpress.org stáhnu aktuální versi pluginu, pak ve správě webu volím Instalace pluginu/Nahrát soubor a nahraný .zip instaluji, pak případně aktivuji.

    3. Čištění cache prohlížeče věc neřeší.

    4. Používám šablonu Weaver, ale ani změna šablony na Twenty Ten věc neřeší.

    5. Různé prohlížeče – normálně pracuji s Operou, ale problém je stejný i ve Firefoxu a Chromu. IE8 jsem zkusil až teď na Vaši radu – ta žlutá ikonka v levém dolním rohu skutečně je a u ní zpráva ‘Dokončeno. Na stránce však došlo k chybám’. K jakým, to neumím zjistit. Ta ikonka se objeví hned po přihlášení do administrace WP a zobrazení nástěnky.

    6. Navíc – různé operační systémy: normálně můj pc běží na linuxu, distr. Ubuntu 10.10. Do Win XP přecházím jen v nejnutnější případech, když výjimečně musím použít aplikaci, pro kterou v linuxu nemám alternativu. Anebo v případě, jako je tento problém, nebo když chci vidět, jak moje stránky zobrazí IE.

    7. Zbývá deaktivace pluginů. K tomu přistoupím teď a pak podám zprávu. Bude to chvíli trvat, protože jich mám asi 40.

    #8012

    J-Prause
    Participant

    Výsledek mého průzkumu pomocí deaktivace všech pluginů a následné jejich postupné aktivace:

    Problém Skrýt/Zobrazit je skutečně v konfliktu pluginů:

    Plugin WP-Table Reloaded je v konfliktu s pluginem Showtime Slideshow, domovská stránka pluginu, stránka pluginu ve WP. Ověřil jsem to na všech svých webech, které jsem zmínil v prvním příspěvku nahoře.

    Ten plugin používám spokojeně již asi jeden rok a dosud s žádným jiným v konfliktu nebyl, až teď s Tabulkami.

    Mám úmysl informovat o tom autory obou pluginů, má to smysl?

    Děkuji vám oběma (admin a Lukenzi) za pomoc!

    #8013

    Lukenzi
    Participant

    Smysl to určitě má, jde o to jak se k tomu postaví autoři pluginů. Už jsem viděl několik pluginů, kde nějakou nekompabilitu řešili pouze připsáním informace s jakým pluginem si jejich výtvor nerozumí :/

    Z toho také vyplývá řešení problému, buď napsat autorům a doufat, že chybu co nejdřív napraví, nebo upravit současnou verzi tak, aby fungovala správně (ale už bez možnosti aktualizace v budoucnu), nebo improvizovat a jeden z “vadných” pluginů nahradit jinou alternativou.

Aktuálně je na stránce zobrazeno 6 příspěvků - 1. až 6. (z celkem 6)

Pokud chcete odpovědět na toto téma, musíte se nejdříve přihlásit.

WordPress – novinky, návody a zajímavosti